package model

import (
	"time"

	pasturePb "gitee.com/xuyiping_admin/go_proto/proto/go/backend/cow"
)

type SameTimeCow struct {
	Id         int64                 `json:"id"`
	CowId      int64                 `json:"cowId"`
	SameTimeId int64                 `json:"sameTimeId"`
	Status     pasturePb.IsShow_Kind `json:"status"`
	StartAt    int64                 `json:"startAt"`
	EndAt      int64                 `json:"endAt"`
	CreatedAt  int64                 `json:"createdAt"`
	UpdatedAt  int64                 `json:"updatedAt"`
}

func NewSameTimeCow(cowId, sameTimeId int64) *SameTimeCow {
	return &SameTimeCow{
		CowId:      cowId,
		SameTimeId: sameTimeId,
		Status:     pasturePb.IsShow_Ok,
		StartAt:    time.Now().Unix(),
	}
}
